Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 2460853002: Add Ozone configuration to facilitate management of external platforms (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months, 3 weeks ago by fwang
Modified:
9 months, 2 weeks ago
Reviewers:
rjkroege, tonikitoo, spang
CC:
chromium-reviews, kalyank, ozone-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add Ozone configuration to facilitate management of external platforms With the old GYP files, out-of-tree builds of external Ozone platforms used to be possible. In practice, external Ozone platforms are really handled as forks of chromium. In order to facilitate the management of such forks, we introduce a separate ozone_extra.gni configuration file where fork maintainers can list external platforms. R=spang@chromium.org TEST=Restore the ui/ozone/platform/caca directory removed in https://codereview.chromium.org/2445323002/, patch ozone_extra.gni to add caca and build & run that platform. BUG=None Committed: https://crrev.com/e62729a0624abe7b4bc892aba15457b119665735 Cr-Commit-Position: refs/heads/master@{#429271}

Patch Set 1 #

Total comments: 1

Patch Set 2 : Remove third person in description of ozone_extra #

Total comments: 4

Messages

Total messages: 20 (6 generated)
fwang
PTAL I'll add a new commit to update the doc in https://codereview.chromium.org/2457443003/
9 months, 3 weeks ago (2016-10-28 10:19:48 UTC) #1
tonikitoo
Thanks for working on it, Fred. On 2016/10/28 10:19:48, fwang wrote: > PTAL > > ...
9 months, 3 weeks ago (2016-10-31 02:50:48 UTC) #2
tonikitoo
https://codereview.chromium.org/2460853002/diff/1/ui/ozone/ozone_extra.gni File ui/ozone/ozone_extra.gni (right): https://codereview.chromium.org/2460853002/diff/1/ui/ozone/ozone_extra.gni#newcode16 ui/ozone/ozone_extra.gni:16: # If your platform has unit tests, you can ...
9 months, 3 weeks ago (2016-10-31 02:51:02 UTC) #4
tonikitoo
nit: TEST line in the commit message is too long (wrap at 80 chars?) nit2: ...
9 months, 3 weeks ago (2016-10-31 02:55:33 UTC) #5
fwang
On 2016/10/31 02:50:48, tonikitoo wrote: > In GYP, supplement.gypi was able to "override" GYP placeholder ...
9 months, 2 weeks ago (2016-10-31 10:15:58 UTC) #6
fwang
@tonikitoo: I adressed your review feedback. For now the doc to explain building external platform ...
9 months, 2 weeks ago (2016-10-31 10:27:21 UTC) #9
fwang
On 2016/10/31 02:50:48, tonikitoo wrote: > Maybe I am asking this, because it is not ...
9 months, 2 weeks ago (2016-10-31 14:06:24 UTC) #10
rjkroege
On 2016/10/31 14:06:24, fwang wrote: > On 2016/10/31 02:50:48, tonikitoo wrote: > > Maybe I ...
9 months, 2 weeks ago (2016-10-31 20:41:09 UTC) #11
rjkroege
https://codereview.chromium.org/2460853002/diff/20001/ui/ozone/BUILD.gn File ui/ozone/BUILD.gn (right): https://codereview.chromium.org/2460853002/diff/20001/ui/ozone/BUILD.gn#newcode15 ui/ozone/BUILD.gn:15: ozone_platforms = ozone_external_platforms Can you test this with a ...
9 months, 2 weeks ago (2016-10-31 20:41:46 UTC) #12
fwang
On 2016/10/31 20:41:09, rjkroege wrote: > You could add this link to the doc files? ...
9 months, 2 weeks ago (2016-10-31 20:56:05 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2460853002/20001
9 months, 2 weeks ago (2016-11-02 12:50:25 UTC) #15
commit-bot: I haz the power
Committed patchset #2 (id:20001)
9 months, 2 weeks ago (2016-11-02 14:11:45 UTC) #17
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/e62729a0624abe7b4bc892aba15457b119665735 Cr-Commit-Position: refs/heads/master@{#429271}
9 months, 2 weeks ago (2016-11-02 14:14:13 UTC) #19
fwang
9 months, 2 weeks ago (2016-11-02 14:31:05 UTC) #20
Message was sent while issue was closed.
I opened https://codereview.chromium.org/2473713002/ for the caca doc. I'm still
not sure what was expected for chromeos=1 since the way you use ozone_extra.gni
is independent of the target os... The doc in ozone_extra.gni is supposed to
very generic and that file should not change too much if we want to avoid build
conflicts for out-of-tree maintainers.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b